<head>
</head>

<div class="container">
  <% if !user_signed_in? %>
    <div class="jumbotron">
      <h1>Welcome on pages about movies</h1>
      <p>If you want to edit movies or write review you have to sing up.</p>
      <%= link_to "Sing up", new_user_registration_path, class: "btn btn-primary btn-lg" %>
    </div>
  <% else %>
    <div class="jumbotron">
      <h1>Welcome <%= User.where(id: current_user.id).first.nickname %></h1>
      <p>This week you want to see those movies:</p>
    </div>
  
    <div class="main-list">
      <table style="width:100%">
        <thead>
          <tr>
            <th>Movie</th>
            <th>Date</th>
            <th>Ratting</th>
          </tr>
        </thead>

        <tbody>
          <% if @wantSee.empty? %>
            <tr>
              <td>No movie</td>
            </tr>
          <% end %>
          <% @wantSee.each do |want_to_see| %>
            <tr>
              <td><%= link_to (Movie.where(id:want_to_see.movie_id).first.title), Movie.where(id:want_to_see.movie_id).first, :style=> 'color:#0000ff' %></td>
              <td><%= want_to_see.date.strftime("%d.%m.%Y") %></td>
              <td>
                <div class="star-rating" data-score=<%= Movie.where(id:want_to_see.movie_id).first.avg_ratting %> ></div>
              </td>
              <td><%= link_to 'Edit', edit_movie_want_to_see_path(id:want_to_see.id, movie_id:want_to_see.movie_id) %></td>
              <td><%= link_to 'Delete', want_to_see, method: :delete, data: { confirm: 'Are you sure?' } %></td>
            </tr>
          <% end %>
        </tbody>
      </table>
      <%= will_paginate @wantSee, renderer: BootstrapPagination::Rails,
        :param_name => 'want_this_week', previous_label: "Prev", next_label: "Next",
        inner_window: 1, outer_window: 0 %>
    </div>
  <% end %>
</div>

<div class="container">
  <br>
  <div id="mySlider" class="carousel slide" style="margin: auto" data-ride="carousel">
    <!-- Indicators -->
    <ol class="carousel-indicators">
      <li data-target="#mySlider" data-slide-to="0" class="active"></li>
      <li data-target="#mySlider" data-slide-to="1"></li>
      <li data-target="#mySlider" data-slide-to="2"></li>
      <li data-target="#mySlider" data-slide-to="3"></li>
      <li data-target="#mySlider" data-slide-to="4"></li>
    </ol>

    <!-- Wrapper for slides -->
    <div class="carousel-inner" role="listbox">
      <% @movies.each do |movie| %>
        <% if movie == @movies.first%>
          <div class="item active">
            <% if movie.image_file_name%>
              <a href= <%=movie_path(movie) %>>
                <img class="img-responsive center-block" src= <%="#{movie.image.url(:medium)}"%> alt=<%="#{movie.title}"%> width="400" height="600">
              </a>
            <% else %>
              <a href=<%=movie_path(movie) %>>
                <img class="img-responsive center-block" src= <%="#{url_to_asset("no-movie")}"%> alt=<%="#{movie.title}"%> width="400" height="600">
              </a>
            <% end %>

            <div class="carousel-caption image_caption">
              <h3><strong><%= "#{movie.title} (#{movie.year})" %></strong></h3>           
            </div>
          </div>
        <% else %>
         <div class="item">
           <% if movie.image_file_name%>
             <a href= <%=movie_path(movie) %>>
                <img class="img-responsive center-block" src= <%="#{movie.image.url(:medium)}"%> alt=<%="#{movie.title}"%> width="400" height="600">
             </a>
           <% else %>
             <a href=<%=movie_path(movie) %>>
                <img class="img-responsive center-block" src= <%="#{url_to_asset("no-movie")}"%> alt=<%="#{movie.title}"%> width="400" height="600">
             </a>
           <% end %>
           <div class="carousel-caption image_caption">
             <h3><strong><%= "#{movie.title} (#{movie.year})" %></strong></h3>         
           </div>
         </div>
       <% end %>
     <% end %>
   </div>

    <!-- Left and right controls -->
    <a class="left carousel-control" href="#mySlider" role="button" data-slide="prev">
      <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
      <span class="sr-only">Previous</span>
    </a>
    <a class="right carousel-control" href="#mySlider" role="button" data-slide="next">
      <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
      <span class="sr-only">Next</span>
    </a>
  </div>
</div>

<script>
  $('.star-rating').raty({
      path: '/assets/',
      readOnly: true,
      score: function() {
        return $(this).attr('data-score')
      }
  });
</script>
